<?xml version="1.0" encoding="iso-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>Cogito - Human-suitable Interface for Git</title>
	<meta name="description" content="Home of the Cogito Version Control System" />
	<meta name="author" content="Petr Baudis" />
	<meta http-equiv="reply-to" content="pasky@suse.cz" />
	<meta http-equiv="content-language" content="en" />
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
	<link type="text/css" rel="stylesheet" media="screen" href="/stylesheets/screen.css" />
	<link type="text/css" title="Default" rel="stylesheet" media="screen" href="/stylesheets/screen-default.css" />
	<link type="text/css" title="Gitweb Gray" rel="alternate stylesheet" media="screen" href="/stylesheets/screen-gitweb-gray.css" />
	<link type="text/css" title="Blue" rel="alternate stylesheet" media="screen" href="/stylesheets/screen-blue.css" />
	<link type="text/css" title="Green" rel="alternate stylesheet" media="screen" href="/stylesheets/screen-green.css" />
	<link rel="icon" href="/favicon.png" type="image/png" />
</head>

<body>

<table border="1" summary="Navigation links" class="header" width="100%"><tr><td>
	<a href="index.html" id="top"><img src="/git-logo.png" width="72" height="27" alt="Cogito"
		style="border-width:0px;"/></a>
	<span class="hide">:</span>
	<span class="menu">
		<a href="index.html">Home</a> |
		<a href="http://www.kernel.org/pub/software/scm/cogito/docs/">Documentation</a> |
		<a href="http://git.or.cz/gitwiki">Wiki</a> |
		<a href="http://www.kernel.org/pub/software/scm/cogito/">Download Site</a> |
		<a href="http://git.kernel.org/?p=cogito/cogito.git;a=summary">Cogito's Gitweb</a> |
		<a href="http://git.or.cz/">Git</a>
	</span>
</td></tr></table>

<h1>Cogito - Human-suitable Interface for Git</h1>

<div style="float: right"><table class="releases">
	<tr align="center"><td>[2006-10-19]</td></tr>
	<tr align="center"><td>The latest stable<br />Cogito release is <b>v0.18.1</b>:</td></tr>
	<tr align="center"><td>
		<a href="http://kernel.org/pub/software/scm/cogito/cogito-0.18.1.tar.bz2">tar.bz2</a>
		<a href="http://kernel.org/pub/software/scm/cogito/cogito-0.18.1.tar.bz2.sign">(sign)</a><br />
		<a href="http://kernel.org/pub/software/scm/cogito/cogito-0.18.1.tar.gz">tar.gz</a>
		<a href="http://kernel.org/pub/software/scm/cogito/cogito-0.18.1.tar.gz.sign">(sign)</a><br />
	</td></tr>
	<tr class="odd" align="center">
		<td><a href="http://kernel.org/pub/software/scm/cogito/">More versions</a></td>
        </tr>
</table></div>

<p><strong>Since fall 2006, Cogito is deprecated and unmaintained; it probably
will not work well with new Git versions. As of Git-1.5, Git user interface
should be sufficiently user friendly and everyone is encouraged to learn
and use Git directly. The rest of the original homepage follows for
historical interest.</strong></p>

<p>Cogito is popular interface to the <a href="http://git.or.cz/">Git</a>
version control system. It is designed to be comfortable, easy to use
and present gentle learning curve for new users. It is not by far as full-featured
as "raw Git" is, but although the plain Git interface went a long way since the
first days, Cogito still provides a simpler and easier to learn interface. If you
want to start to use Git and are considering Cogito, the best way to go about
it is to first learn Cogito, then pick up Git commands if you need to do something
extraordinary.</p>

<p>If you want to start using Cogito right now, grab it by installing it as a package
by means suitable for your distribution (if applicable) or by clicking on a link in
the box at the right; you can also clone it using either of those:</p>

<pre>
cg clone git://git.kernel.org/pub/scm/cogito/cogito.git
git clone git://git.kernel.org/pub/scm/cogito/cogito.git
</pre>

<p>For quick introduction to Cogito, follow the
<strong><a href="http://git.or.cz/course/">Git Crash Courses</a></strong>
- they are presenting Cogito commands.
<a href="http://www.kernel.org/pub/software/scm/cogito/docs/introduction.html">More
technical introduction</a> (especially wrt. how branches work) is also there, as
a part of <a href="http://www.kernel.org/pub/software/scm/cogito/docs/">the full documentation</a>,
which is available on the web and also in a
<a href="http://git.kernel.org/?p=cogito/cogito-doc.git;a=summary">special git repository</a>.</p>

<p>Cogito qualifies as one of Git <em>porcelains</em>; it is de facto as old as
Git is (the first scripts appeared one day after Git was publically released)
and the development of both tools is tightly coupled. They both use the same
resources: the <a href="irc://irc.freenode.org/#git">#git</a> IRC channel,
the <a href="http://git.or.cz/gitwiki">Git Wiki</a> and
the <a href="mailto:git@vger.kernel.org">Git mailing list</a> (you do not need
to be subscribed to post).</p>

<p>Cogito is an <a href="http://www.opensource.org/">Open Source</a> project covered
by the <a href="http://www.gnu.org/licenses/gpl.txt">GNU General Public License</a>.
It was originally written and is still maintained by Petr Baudis.</p>

<h2>Addons</h2>

<p>It is possible to create third-party addons to Cogito adding custom commands
but using the Cogito infrastructure. For an example, see the
<strong><a href="http://kernel.org/git/?p=cogito/cogito-bundle.git">cogito-bundle</a></strong>
project (repository at <tt>git://git.kernel.org/pub/scm/cogito/cogito-bundle.git</tt>),
which is actually useful on its own as well - it lets you exchange commits over
mail by so-called "bundles", similar to e.g. Bazaar bundles - basically, it is
like push or fetch, but over email, and the commit ids are preserved when
transferred in bundles (if you just send patches, the commit ids will end up
different).</p>


<hr />

<div class="footer">
	<span class="menu">
		This page is maintained by Petr Baudis. Please email me
		at <a href="mailto:pasky@suse.cz">pasky@suse.cz</a>
		with patches, suggestions and comments.
	</span>
</div>

</body>
</html>
